"Consolidate translation" tool replace the translations of the i18n folder
05/19/2015 10:19 AM - Mario Carrera

Status: New % Done: 0%
Priority: Low Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Developer tools
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.2.0 Add-on build:
gvSIG build: 2309 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

"Consolidate translation" tool replace the translations of the i18n folder. It should detect if it exists and then keep the key of the
translations-all folder.

History
#1 - 07/29/2015 10:55 AM - Mario Carrera
- Target version set to 2.3.0-2401

#2 - 07/29/2015 12:07 PM - Mario Carrera

Aquí dos ejemplos de cadenas que se reemplazan en el properties del translations-all cuando no deberían:

------------
_Viewport_bounds_reprojected_to_datasource_CRS=Se han reproyectado los l\u00EDmites de la vista al CRS del origen de datos.

Debería ser con "Vista" en mayúscula:

_Viewport_bounds_reprojected_to_datasource_CRS=Se han reproyectado los l\u00EDmites de la Vista al CRS del origen de datos.

_Permissions_header=Puede indicar permisos que desea se asignen a la tabla una vez creada.<br> Marque que privilegios desea le sean asignados
e indique para cada uno que <i>perfil</i>, usuario o grupo, desea que tenga ese privilegio.<br> Puede indicar mas de un <i>perfil</i> separandolos
por comas.

Debería tener los acentos al final en "mas" y "separandolos", codificados como toca:

_Permissions_header=Puede indicar permisos que desea se asignen a la tabla una vez creada.<br> Marque qu\u00E9 privilegios desea le sean
asignados e indique para cada uno qu\u00E9 <i>perfil</i>, usuario o grupo, desea que tenga ese privilegio.<br> Puede indicar m\u00E1s de un
<i>perfil</i> separ\u00E1ndolos por comas.

#3 - 10/08/2015 09:50 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2401 to 98
#4 - 12/16/2015 01:26 PM - Álvaro Anguix
- Assignee set to Joaquín  del Cerro Murciano

#5 - 01/18/2016 11:29 PM - Joaquín  del Cerro Murciano
- Target version changed from 98 to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

#6 - 02/10/2016 12:09 PM - Álvaro Anguix
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)

#7 - 08/03/2016 10:07 AM - Mario Carrera

Habrá que tener en cuenta también las traducciones incluidas en los scripts, que se extraigan las cadenas de los properties que lleven los scripts.

#8 - 06/07/2017 02:27 PM - Álvaro Anguix
- Severity changed from Major to Minor
- Priority changed from Normal to Low

#9 - 07/20/2017 10:56 AM - Álvaro Anguix
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.5.1-3044

#10 - 04/21/2020 09:21 AM - Álvaro Anguix
- Target version deleted (2.5.1-3044)
